---
name: Bug report
about: Create a report to help us improve
labels: Bug Report

---

**Describe the bug**
A clear and concise description of what the bug is.

Include a complete error message, if any.

**To Reproduce**
Steps to reproduce the behavior:

1. Operating system, version, and architecture
 - OS: [e.g. OSX 12.6.8 ]
 - Architecture: [e.g. Apple ARM M1]
2. Programming language, and version [e.g. Python 2.7.14, R 3.2.3].
3. Version of SimpleITK [e.g. 1.1.0], output of the SimpleITK Version() function.
4. How was SimpleITK installed?
 - binary distribution [e.g. python -m pip install SimpleITK]
 - built it from source [e.g. devtools::install_github("SimpleITK/SimpleITKRInstaller")]
5. A minimal working example which causes the error.

**Expected behavior**
A clear and concise description of what you expected to happen.

**Images**
If applicable, include a minimal sized sample input and output image. Or SimpleITK commands to synthetically generate
an input.

**Additional context**
Add any other context about the problem here.
